import request from '@/utils/request'

// 获取达人列表
export function getPromoterList(query) {
  return request({
    url: '/kuaishou/promoter/list',
    method: 'get',
    params: query
  })
}

// 获取达人公海
export function getPromoterList2(query) {
  return request({
    url: '/kuaishou/promoter/list2',
    method: 'get',
    params: query
  })
}

// 获取达人列表
export function getPromoterDetail(query) {
  return request({
    url: '/kuaishou/promoter/getById',
    method: 'get',
    params: query
  })
}

// 更新指定达人数据
export function getGongHaiVideoSales(query) {
  return request({
    url: '/kuaishou/promoter/getGongHaiVideoSales',
    method: 'get',
    params: query
  })
}

// 新增达人

export function addPromoter(query) {
  return request({
    url: '/kuaishou/promoter/add',
    method: 'post',
    data: query
  })
}

// 新增政策
export function editBindUser(query) {
  return request({
    url: '/kuaishou/promoter/editBindUser',
    method: 'post',
    data: query
  })
}

export function editPromoter(query) {
  return request({
    url: '/kuaishou/promoter/edit',
    method: 'post',
    data: query
  })
}

// 删除达人
export function deleteById(query) {
  return request({
    url: '/kuaishou/promoter/deleteById',
    method: 'get',
    params: query
  })
}

export function addRule(query) {
  return request({
    url: '/kuaishou/promoter/addRule',
    method: 'get',
    params: query
  })
}


export function getPromoterRuleList(query) {
  return request({
    url: '/rules/getPromoterRuleList',
    method: 'get',
    params: query
  })
}

//查看规则详情
export function getRuleDetailByRuleId(query) {
  return request({
    url: '/rules/getRuleDetailByRuleId',
    method: 'get',
    params: query
  })
}





